POSTGetBlockBalance

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getblockbalance

Get all balance change operations in a block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235&18.141.79.38 &18.139.248.26)

Request Body
hashstringrequired

Block hash (ID). Example: 0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab

numberinteger (int32)required

Block number. The block hash and block number must be consistent, referring to the same block. Example: 64727388

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
timestampint64 (int64)

Timestamp. (Unit: millisecond)

hashstring

Block hash.

numberinteger (int64)

Block number.

transaction_identifierstring

Transaction ID (hash).

typestring

Transaction type.

statusstring

Transaction result status.

X-API-KEY
RequestCU50
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getblockbalance" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "hash": "00000000052b3fa2d0034a3cd2b4d64daf8d4ebf4e72e8d262cc47e9592b2453",
  "number": 86720418,
  "visible": true
}'
Response
Example · 200
{
  "block_identifier": {
    "hash": "string",
    "number": 0
  },
  "transaction_balance_trace": [
    {}
  ],
  "transaction_identifier": "string",
  "operation": [
    {}
  ],
  "type": "string",
  "status": "string"
}